#1 Remove BuildRequires on python2 when building with Python 3
Opened a year ago by pviktori. Modified a year ago
rpms/ pviktori/openvswitch-ovn-kubernetes py-br  into  rawhide

@@ -22,16 +22,17 @@ 

  Summary: Open Virtual Networking Kubernetes Wedge

  URL: https://www.github.com/openvswitch/ovn-kubernetes

  Version: 0.1.0

- Release: 8%{?dist}

+ Release: 9%{?dist}

  # golang not supported

  ExcludeArch: ppc64

  

  License: ASL 2.0

  Source0: https://github.com/openvswitch/ovn-kubernetes/archive/v%{version}.tar.gz

  

- BuildRequires: %{_py2}-devel

  %if 0%{?fedora} > 22 || %{with build_python3}

  BuildRequires: python3-devel

+ %else

+ BuildRequires: %{_py2}-devel

  %endif

  BuildRequires: golang

  
@@ -76,6 +77,9 @@ 

  %config(noreplace) %{_sysconfdir}/openvswitch/ovn_k8s.conf

  

  %changelog

+ * Mon Feb 03 2020 Petr Viktorin <pviktori@redhat.com> - 0.1.0-9

+ - Remove BuildRequires on python2 when building with Python 3

+ 

  * Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-8

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

  

It seems that openvswitch-ovn-kubernetes doesn't need python2-devel when building with Python 3.
Can the extra BuildRequires be removed in that case?